package request

type TaobaoWmsOrderWarehouseRouteGetRequest struct {
	/*
	   订单编号     */
	OrderCode *string `json:"order_code" required:"true" `
}

func (s *TaobaoWmsOrderWarehouseRouteGetRequest) SetOrderCode(v string) *TaobaoWmsOrderWarehouseRouteGetRequest {
	s.OrderCode = &v
	return s
}

func (req *TaobaoWmsOrderWarehouseRouteGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderCode != nil {
		paramMap["order_code"] = *req.OrderCode
	}
	return paramMap
}

func (req *TaobaoWmsOrderWarehouseRouteGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
